> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payouts Statistics

> IP Market Payouts Statistics



## OpenAPI

````yaml openapi/billing.yaml get /v1/{tenantUUID}/market/payouts/stats
openapi: 3.0.1
info:
  title: Billing API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/billing
security:
  - bearerAuth: []
paths:
  /v1/{tenantUUID}/market/payouts/stats:
    get:
      tags:
        - Payouts
      summary: Get Payouts Statistics
      description: IP Market Payouts Statistics
      operationId: API-Pub-IPmarket-Payouts-Stats
      parameters:
        - name: tenantUUID
          in: path
          description: Tenant UUID
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - name: service_uuid
          in: query
          description: Filter By Service UUID
          schema:
            type: string
        - name: address
          in: query
          description: Filter By IPv4 Address
          schema:
            type: string
            format: ipv4
        - name: cidr
          in: query
          description: Filter By CIDR
          schema:
            type: integer
        - name: status_date_from
          in: query
          description: >-
            Filter by Start period date in unix timestamp format which is
            greater or equal to input
          schema:
            type: integer
        - name: status_date_to
          in: query
          description: >-
            Filter By End period date in unix timestamp format which is lower or
            equal to input
          schema:
            type: integer
      responses:
        '200':
          description: Payouts Statistics
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/API.Pub.Resources.IPMarket.PayoutsStatsResource
              example:
                period:
                  from: 0
                  to: 0
                data:
                  - date: 0
                    amount: 0
                    subnet: string
                    service_uuid: string
                total: 0
                last_payout_date: 0
                next_payout_date: 0
                min_amount_reached: true
                unpaid: 0
        '400':
          description: Invalid Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    UUID:
      pattern: >-
        ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$
      type: string
      description: UUID
    API.Pub.Resources.IPMarket.PayoutsStatsResource:
      type: object
      properties:
        period:
          type: object
          properties:
            from:
              type: integer
              description: starting date
            to:
              type: integer
              description: ending date
          description: Statistics period
        data:
          type: array
          items:
            type: object
            properties:
              date:
                type: integer
              amount:
                type: number
                format: float
              subnet:
                type: string
              service_uuid:
                type: string
        total:
          type: number
          description: Total amount for period
          format: float
        last_payout_date:
          type: number
          description: Last payout date
          format: int
        next_payout_date:
          type: number
          description: Next payout date
          format: int
        min_amount_reached:
          type: boolean
          description: Min amount reached
        unpaid:
          type: number
          description: Unpaid amount
          format: float
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````